Create Mint Instructions
curl --request POST \
--url https://api.prod.bastion.com/v2/issuance/mint-instructions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity_id": "<string>",
"request_id": "<string>",
"stablecoin_symbol": "<string>",
"mint_destination_address_id": "<string>",
"payment_rail": "WIRE",
"fiat_currency_symbol": "USD",
"label": "<string>"
}
'import requests
url = "https://api.prod.bastion.com/v2/issuance/mint-instructions"
payload = {
"identity_id": "<string>",
"request_id": "<string>",
"stablecoin_symbol": "<string>",
"mint_destination_address_id": "<string>",
"payment_rail": "WIRE",
"fiat_currency_symbol": "USD",
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identity_id: '<string>',
request_id: '<string>',
stablecoin_symbol: '<string>',
mint_destination_address_id: '<string>',
payment_rail: 'WIRE',
fiat_currency_symbol: 'USD',
label: '<string>'
})
};
fetch('https://api.prod.bastion.com/v2/issuance/mint-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mint_instructions": {
"id": "<string>",
"identity_id": "<string>",
"request_id": "<string>",
"stablecoin_symbol": "<string>",
"chain": "SOLANA_DEVNET",
"mint_destination_address_id": "<string>",
"payment_rail": "WIRE",
"fiat_currency_symbol": "USD",
"memo_id": "<string>",
"bank_account_details": {
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"type": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"clabe": "<string>",
"ifsc_code": "<string>",
"bank_id": "<string>",
"swift_or_bic_number": "<string>",
"account_owner_type": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"bank_code": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"bank_account_number_type": "<string>"
},
"label": "<string>"
}
}Issuance
Create Mint Instructions
Create a mint instruction for a given identity
POST
/
v2
/
issuance
/
mint-instructions
Create Mint Instructions
Authorizations
Bearer authentication with an API token
Body
application/json
Unique identifier of the identity that this mint instruction belongs to
Request identifier in a UUID format. Serves as an idempotency key.
Symbol of the stablecoin associated with this mint instruction
Unique identifier of the mint destination address associated with this mint instruction
Payment rail associated with this mint instruction, currently only 'WIRE' is supported
Available options:
ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD_UNSPECIFIED, WIRE Example:
"WIRE"
Fiat currency symbol associated with this mint instruction, currently only 'USD' is supported
Available options:
ISSUANCE_SUPPORTED_FIAT_CURRENCY_UNSPECIFIED, USD Example:
"USD"
Label for the mint instruction
Response
Success
Show child attributes
Show child attributes
Related topics
Mint Bastion-issued stablecoins from the DashboardMint Bastion-issued stablecoins with the Issuance APIStablecoin issuance conceptsIssuance API overviewList Mint Instructions⌘I